Subject: bug#55526: closed (Re: bug#55526: u-boot-pinebook fails to build with upsteam uboot)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 May 2022 13:40:02 +0000

Your bug report

#55526: u-boot-pinebook fails to build with upsteam uboot

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55526: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55526
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55526: u-boot-pinebook fails to build with upsteam uboot
From: Mathieu Othacehe <[email-masked]>
To: Pavel Shlyak <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 May 2022 15:39:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Pavel,

> Comand 
> guix build u-boot-pinebook --with-git-url=u-boot-pinebook=https://github.com/u-boot/u-boot
> fails with tools/image-host.c:17:10: fatal error: openssl/pem.h: No such file or directory
> I tested it on both x86_64 and aarch64 hosts.

The latest u-boot release (2022.04) is packaged in Guix. We cannot
ensure that each package is compiling against the current master of
every upstream repository. I propose to be careful when updating u-boot
to the upcoming 2022-07 release, but to close that one in the meantime.

Thanks,

Mathieu

Subject: u-boot-pinebook fails to build with upsteam uboot
From: Pavel Shlyak <[email-masked]>
To: [email-masked]
Date: Thu, 19 May 2022 19:57:18 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Comand 
guix build u-boot-pinebook --with-git-url=u-boot-pinebook=https://github.com/u-boot/u-boot
fails with tools/image-host.c:17:10: fatal error: openssl/pem.h: No such file or directory
I tested it on both x86_64 and aarch64 hosts.